# Uses of Class
org.opensaml.saml.common.messaging.context.SAMLConsentContext

Packages that use SAMLConsentContext
Package
Description
org.opensaml.saml.saml2.binding.impl
General message handlers for SAML 2.0.

## Uses of SAMLConsentContext in org.opensaml.saml.saml2.binding.impl

Fields in org.opensaml.saml.saml2.binding.impl with type parameters of type SAMLConsentContext
Modifier and Type
Field
Description
`private Function<MessageContext,SAMLConsentContext>`
AddConsentToResponseHandler.`consentContextStrategy`
Strategy for locating `SAMLConsentContext`.
`private Function<MessageContext,SAMLConsentContext>`
ExtractConsentFromRequestHandler.`consentContextStrategy`
Strategy for locating `SAMLConsentContext`.
Method parameters in org.opensaml.saml.saml2.binding.impl with type arguments of type SAMLConsentContext
Modifier and Type
Method
Description
`void`
AddConsentToResponseHandler.`setConsentContextLookupStrategy(Function<MessageContext,SAMLConsentContext> strategy)`
Set the strategy for locating `SAMLConsentContext`.
`void`
ExtractConsentFromRequestHandler.`setConsentContextLookupStrategy(Function<MessageContext,SAMLConsentContext> strategy)`
Set the strategy for locating `SAMLConsentContext`.